# debuginfo not supported for static libraries, RB #209316
%global debug_package %{nil}

%global srcname kiss_fft%{version}

Name:           kissfft
Version:        130
Release:        1%{?dist}.2
Summary:        Fast Fourier Transform library

License:        BSD
URL:            https://sourceforge.net/projects/kissfft
Source0:        http://downloads.sourceforge.net/%{name}/%{srcname}.zip
# build static library
Source1:        Makefile
# use the library in tests (not intended for upstream)
Patch1:         kissfft-library.patch
# https://sourceforge.net/p/kissfft/code/ci/fbe1bb0bc7b94ec252842b8b7e3f3347ec75d92f/tree/kissfft.hh?diff=effd3ec61a1c4a2141fb04ab9a76d78be0459cce
Patch2:         kissfft-header.patch


BuildRequires:  fftw-devel
BuildRequires:  numpy
BuildRequires:  libtool
BuildRequires:  python2
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  procps
%else
BuildRequires:  procps-ng
%endif

%description

A Fast Fourier Transform based up on the principle, "Keep It Simple, Stupid".
Kiss FFT is a very small, reasonably efficient, mixed radix FFT library that
can use either fixed or floating point data types.


%package devel
Summary:        Fast Fourier Transform library
Provides:       %{name}-static = %{version}-%{release}

%description devel

A Fast Fourier Transform based up on the principle, "Keep It Simple, Stupid".
Kiss FFT is a very small, reasonably efficient, mixed radix FFT library that
can use either fixed or floating point data types.

Header files and static library are provided.


%prep
%setup -q -n %{srcname}
%patch1 -p1
%patch2 -p1


%build
CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" \
    make %{?_smp_mflags} -f %{SOURCE1} libdir=%{_libdir}


%install
CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" \
DESTDIR=%{buildroot} \
    make %{?_smpflags} -f %{SOURCE1} libdir=%{_libdir} install


%check
DATATYPE=double \
    make -C test clean
CFLAGADD="%{optflags}" DATATYPE=double \
    make -C test test

DATATYPE=double \
    make -C test clean
CFLAGADD="%{optflags} -fopenmp" DATATYPE=double \
KISSFFT_LIBS="-L.. -lkissfft_omp" \
    make -C test test


%files devel
%{!?_licensedir:%global license %doc}
%license COPYING
%doc CHANGELOG README
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/kiss_fft.h
%{_includedir}/%{name}/kissfft.hh
%{_includedir}/%{name}/kiss_fftr.h
%{_libdir}/libkissfft.a
%{_libdir}/libkissfft_omp.a


%changelog
* Wed Nov 04 2015 František Dvořák <valtri@civ.zcu.cz> - 130-1
- Initial package
